package com.nisum.mytime.repository;

import java.util.List;
import java.util.Set;

import org.springframework.data.mongodb.repository.MongoRepository;

import com.nisum.mytime.model.Project;

public interface ProjectRepo extends MongoRepository<Project, String> {

	Project findByProjectId(String projectId);

	List<Project> findByDeliveryLeadIds(String empId);

	// List<Project> findByManagerId(String managerId);

	List<Project> findByAccountIdIn(Set<String> accIdsSet);

	List<Project> findByAccountId(String accountId);

	List<Project> findByDomainId(String domainId);

}